2016-04-03  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* arith.h, pk2bm.c: Avoid compiler warnings.

2016-02-01  Karl Berry  <karl@tug.org>

	* configure.ac
	Version 1.8 (February 2016).
	
	* ps2pk.c: use PACKAGE_VERSION (from c-auto.h) instead
	of hardwiring the number.
	
	* mag.c,
	* pfb2pfa.c,
	* pk2bm.c,
	* pktest.c: report version number in usage as with ps2pk.
	Also say "invalid" instead of "illegal".
	
	* *.1: uniformly use date in .TH line.
	
	* Remove version numbers from individual files.
	
	* Remove Piet's email address so he does not get unwanted mail,
	since this package is maintained in TeX Live now.  Ask for reports
	to go to tex-k.

2016-01-31  Luigi Scarso  <luigi.scarso@gmail.com>

	* pk2bm.c, pkin.c, pkin.h: Support charext.

2015-07-07  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Better dependencies for 'make check'.

2014-12-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am (noinst_PROGRAMS): Build pktest.
	* pktest.c: ANSI/ISO C.
	* tests/ps2pk.test: Test PK (pk2bm) BM (pktest) PK (pk2bm) BM.

	* basics.[ch], configure.ac, encoding.c, filenames.[ch],
	pkout.[ch], pktest.c, ps2pk.c, psearch.c, types.h:
	Version 1.7 (December 2014).

2014-12-15  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Applied some changes from Version 1.6beta1 (ctan.org/pkg/ps2pk).
	Renamed ./ps2pkm => ./ps2pk.

	* filenames.c: Drop charptr() and use strchr(). Whitespace.
	* filenames.[ch]: Constify ps_resource() argument.

	* pkin.c: New function pksbyte().  Replace error() => fatal().
	Correctly handle flag bytes 5 and 6.
	* Makefile.am (pk2bm_SOURCES): Add basics.[ch].
	Use AM_CPPFLAGS, AM_CFLAGS, and LDADD also for pk2bm.

2014-11-06  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* regions.c [WIN64]: Use __int64 (not long) as intptr_t.

2014-10-14  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* paths.c: Fixed a bug introduced by the previous "Bug fix".

	* tests/lmmath.test: Shell script ...
	* tests/lmmi12.600pk: ... and data for a new test.
	* Makefile.am, configure.ac: Add the new test.

2014-10-13  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* paths.c: Bug fix: Avoid use of uninitialized variable.

	* basics.h, filenames.c, fontfcn.c, pk2bm.c, pkin.c, t1io.c,
	t1snap.c, types.h: Always include "c-auto.h" first in all C
	files (directly or indirectly via "basics.h" or "types.h").

	* configure.ac: Add AC_TYPE_(U)INT32_T and AC_TYPE_INTPTR_T.

	* pkout.[ch], ps2pk.c: Replace (U)INT32 => (u)int32_t.

	* arith.[ch], curves.c, ffilest.h, fsmasks.h, hints.c, lines.c,
	objects.[ch], paths.c, regions.c, spaces.[ch], t1funcs.c,
	t1info.c, t1stdio.h, token.c, types.h, util.[ch]: Replace
	(U)LONG => (u)int32_t, to avoid LONG defined as long for MinGW
	(and MSVC?).

	* fontstruct.h, ps2pk.c, util.h: Change MakeAtom() return type
	long => intptr_t (large enough for 'void *' even for WIN64).

2014-10-12  Peter Breitenlohner  <peb@mppmu.mpg.de>

	More general cleanup:
	* *.[ch]: ANSI/ISO C function prototypes and definitions.
	Extern declarations in only in headers.
	Drop unused functions and variables.
	Declare functions used in only one file as static.
	* Makefile.am: t1imager.h. t1stub.c, and trig.h are not used.
	Enable compiler warnings.

2014-10-09  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* basics.h: Declare fatal() as noreturn (gcc and MSVC).
	* pkout.c (magnification): Fatal error if no value found.

2014-10-08  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* ps2pk.c: Add return type for main and GetClientResolutions.
	* regions.c: Add return type for OptimizeRegion.
	* t1funcs.c: Add return type for Type1RegisterFontFileFunctions.
	* t1stub.c: Add return type for xiStub.

	* encoding.c (my_string, remove_string, addcc, getcc, decimal,
	nextsymbol, nextpsname), filenames.c (equal), objects.[ch]
	(Pragmatics), pkout.c (optimal_size, PSPKINT, magnification),
	regions.[ch] (BoxClip), t1stub.c (xiStub): Declare as static.

	* curves.c, hints.c, objects.c, paths.c, regions.c, scanfont.c,
	spaces.c, t1funcs.c, t1info.c, t1io.c, token.c, tokst.h,
	type1.c: ANSI/ISO C for all static functions.

	* paths.c, regions.c, scanfont.c, spaces.c, t1info.c: Add braces
	around substructures in initializers.

	* basics.[ch], encoding.c, ffilest.h, filenames.[ch],
	fontfcn.c, mag.c, objects.c, pfb2pfa.c, pkout.c, pktest.c,
	ps2pk.c, scanfonts.c, spaces.c, t1funcs.c, t1info.c, util.[ch]:
	Declare various local and global variables, function parameters
	and return values, and struct members as const.

	* scanfonts.c: Add parentheses around assignment as truth value.

	* regions.c: Add braces to avoid 'ambiguos else'.

2014-10-07  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* pk2bm.c, paths.c, pkout.c, ps2pk.c, regions.c, t1func.c:
	Minor cleanup to avoid compiler warnings.

2014-10-07  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* t1funcs.c: Bugfix (undefined operation due to a typo).
	* token.c: Fix ambigous behavior (sequence point).

	* encoding.c, objects.c: Avoid undefined behaviour when char is
	signed.

	* arith.c: Fix formats: %dl => %d for int.
	* paths.c, regions.c, spaces.c: Fix (debug) format specifiers:
	    %f for double* => double
	    %ld => %d for int
	    %p => %d for int
	    %x => %d for int (except for flags)
	    %x => %p for ANY*
	    %z => %p for ANY*

2014-06-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Drop the obsolete ACLOCAL_AMFLAGS.

2013-06-28  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* encoding.c, filenames.c, fontfcn.c, mag.c, pfb2pfa.c, pkout.c,
	ps2pk.c, scanfont.c: Include Autoconf generated headers first.

2012-11-20  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Avoid use of deprecated INCLUDES.

2012-10-15  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Remove TL vs W32TeX diffs (from Akira).
	* pkout.c: Add casts to avoid MSVC warnings.

2012-10-15  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Reduce TL vs W32TeX diffs (from Akira).
	* mag.c [WIN32]: Add '#include <fcntl.h>' for setmode().
	* t1funcs.c: Add casts to avoid MSVC warnings.

2012-08-23  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* pfb2pfa.c (main): Drop unnecessary nested fatal() prototype.

2012-07-25  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* pkout.c (pk_runlengths): Pretend that the first pixel of an
	empty glyph is white; avoid using uninitialized data.
	Found by Martin Schroeder <martin@oneiros.de>.

2012-07-15  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* ps2pk.c: Invoke kpse_set_program_name() with original argv[0]
	and program name string.
	* mag.c, ps2pk.c: ANSI C function declarations and definitions.
	No nested function declarations. Declare functions as static.
	* tests/ps2pk.test: Set environment for kpatsea file search.

2012-07-12  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* pk2bm.c: Cast arg2 of readchar() to avoid MSVC warning.

2012-07-11  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* tests/ps2pk.test (new): Shell script for a test case.
	* tests/Symbol.afm, tests/Symbol.pfb (new): Test input.
	* tests/Symbol.pfa, tests/Symbol.alpha.{hex,pix},
	tests/Symbol10.300pk (new): Expected output.
	* Makefile.am: Adapted.

2012-07-10  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* mag.c, pk2bm.c: Use binary mode for output files (from W32TeX).

	* pfb2pfa.c: Drop unused ambiguous code.

	* Makefile.am: Pk2bm does not use KPATHSEA.
	* pk2bm.c, pkin.[ch]: ANSI C function prototypes and definitions.

2011-07-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* type1.c [FABS, CEIL, FLOOR]: Use routines from libm, the
	evaluation order of tmpx in the original macros is undefined
	by the C-standard!
	(ComputeStem): Fix `ambiguous else' bug (also present in t1lib
	5.1.2, compare libXfont 1.3.x from XOrg-7.4).

2011-07-18  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* type1.c (PSFakePop): Non-void function should return a value.
	Reported by Jack Howarth <howarth@bromo.med.uc.edu>
	Patch from Akira, [tex-live] Sun, 17 Jul 2011 22:39:30.

	* Makefile.am (AM_CFLAGS): Prepare for compiler warnings.

2011-05-27  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* README: Fixed a typo.

2011-05-26  Karl Berry  <karl@tug.org>

	* README: clarify license per authors.

2011-04-18  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* t1funcs.c (Type1OpenScalable): Cast ev[i] to 'unsigned char *'
	to avoid 'differ in signedness' warning.

2011-03-07  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* ps2pk.c (main): `program_invocation_name' has been renamed
	into `kpse_invocation_name'.

2010-03-09  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* ps2pk.c: Use kpse_set_program_name() instead of
	kpse_set_progname().

2010-02-27  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: List all used header files.

2010-02-23  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* basics.c: #include "basics.h" and drop all others.

2010-02-23  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* t1info.c (ComputeStdProps): Declare rc as int, not LONG,
	because they differ for WIN32.
	* t1stub.c: Use ANSI C protos (not only for WIN32).
	Declare struct segment (#include "paths.h" doesn't work).

2010-02-20  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* basics.c: Don't #include <win32lib.h> for MinGW32.
	ps2pk.c (CheckFSFormat), t1funcs.c (fill): Rename function
	param byte => Byte to avoid conflicts.

2009-07-17  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* regions.c (NewEdge): align to sizeof(long), as in t1lib.
	* util.c (vm_alloc): align to 64-bit boundary, as in t1lib.

2009-06-23  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* fontfcn.c, regions.c, regions.h, scanfont.c, t1funcs.c:
	drop #ifdef HAVE_PROTOTYPES, unconditionally use prototypes.

2009-06-22  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* objects.c, objects.h: use ANSI C variadic function syntax.
	* paths.c: use ANSI C prototypes instead of P[1-9]H.
	* type1.c: use ANSI C prototypes instead of P[1-9]H or AA.

2009-06-02  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* regions.c, regions.h, t1imager.h:
	rename INFINITY -> T1_INFINITY, to avoid name conflict with
	INFINITY from cygwin <math.h>.

2009-05-07  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Adapt to TL2009 build system.

2008-02-29  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* acconfig.h: removed.

2008-01-31  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Convert from autoconf-2.13 to autoconf-2.59+:
	* Makefile.in: Add @configure_input@ line.
	* aclocal.m4 (new): Generated (aclocal -I ../m4).
	* configure: Regenerated (autoconf).

Fri Mar 13 13:41:39 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* bstring.c: more fixes from Thomas Esser in this and configure
	setup 

Mon Mar  9 10:33:30 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* fixes as suggested by Melissa O'Neill <oneill@cs.sfu.ca> (from
	Thomas Esser), for memset in bstring.c (addition to configure)

Tue Feb 24 11:55:33 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* objects.[ch]: extra #ifdef KPATHSEA inside WIN32

Mon Feb 16 12:36:45 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* more fixes to regions.c (Thomas Esser)

Tue Feb  3 13:40:36 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* regions.c: rationalized non STDC declarations

Wed Jan 28 09:44:45 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* better undef of BITS in curves.c; change in objects.h (ifdef
	KPATHSEA instead of just WIN32) from Fabrice Popineau

Tue Jan 27 14:32:25 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* configure etc: new configure.in, c-auto.in, Makefile.in from
	Olaf Weber
	
Tue Jan 27 13:48:14 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* patch to regions.h from Peter B 

Tue Jan 20 10:14:10 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* added check of function prototypes to c-auto.in

Mon Jan 19 20:46:08 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* pkin.c: "remainder" clashed with some builtin, so
	renamed to remainderPK throughout

Thu Jan  1 11:08:37 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	Fixes by Peter Breitenlohner <peb@mppmu.mpg.de>
	* curves.c: BITS redefined
        * regions.h: incompatible pointer types
        * types.h: AA redefined
        * t1stub.c: struct declared inside parameter list



